Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptprogram
Class TestingAbstract

    java.lang.Object
      cryptprogram.TestingAbstract

    public class TestingAbstract

extends java.lang.Object

Globální parametry pro výchozí a uživatelský test (NEPOUŽITO).

Field Summary
`protected int` | `blockSize`
`boolean` | `cryptSave`
`protected int` | `ELGAMAL_keySize`
`ProgramMonitor` | `ELGAMAL_MONITOR`
`protected ElGamal` | `elgamalCrypter`
`java.util.ArrayList` | `ELGAMALTime`
`protected int` | `ELIPTIC_keySize`
`ProgramMonitor` | `ELIPTIC_MONITOR`
`java.util.ArrayList` | `ELLIPTIC_Time`
`protected EllipticCurves` | `ellipticCurvesCrypter`
`protected int` | `MCELIECE_keySize`
`ProgramMonitor` | `MCELIECE_MONITOR`
`java.util.ArrayList` | `MCELIECE_Time`
`protected McEliece` | `mcelieceCrypter`
`boolean` | `messureCPU`
`protected EncryptionParameters` | `NTRU_keySize`
`ProgramMonitor` | `NTRU_MONITOR`
`java.util.ArrayList` | `NTRU_Time`
`protected NTRU` | `ntruCrypter`
`boolean` | `privateSaveKey`
`boolean` | `publicSaveKey`
`boolean` | `resultSave`
`protected int` | `RSA_keySize`
`ProgramMonitor` | `RSA_MONITOR`
`protected RSA` | `rsaCrypter`
`java.util.ArrayList` | `RSATime`

Constructor Summary
`TestingAbstract()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RSA_MONITOR

    public ProgramMonitor RSA_MONITOR

### NTRU_MONITOR

    public ProgramMonitor NTRU_MONITOR

### ELGAMAL_MONITOR

    public ProgramMonitor ELGAMAL_MONITOR

### MCELIECE_MONITOR

    public ProgramMonitor MCELIECE_MONITOR

### ELIPTIC_MONITOR

    public ProgramMonitor ELIPTIC_MONITOR

### blockSize

    protected int blockSize

### RSA_keySize

    protected int RSA_keySize

### NTRU_keySize

    protected EncryptionParameters NTRU_keySize

### ELGAMAL_keySize

    protected int ELGAMAL_keySize

### MCELIECE_keySize

    protected int MCELIECE_keySize

### ELIPTIC_keySize

    protected int ELIPTIC_keySize

### RSATime

    public java.util.ArrayList RSATime

### ELGAMALTime

    public java.util.ArrayList ELGAMALTime

### MCELIECE_Time

    public java.util.ArrayList MCELIECE_Time

### ELLIPTIC_Time

    public java.util.ArrayList ELLIPTIC_Time

### NTRU_Time

    public java.util.ArrayList NTRU_Time

### publicSaveKey

    public boolean publicSaveKey

### privateSaveKey

    public boolean privateSaveKey

### cryptSave

    public boolean cryptSave

### resultSave

    public boolean resultSave

### messureCPU

    public boolean messureCPU

### rsaCrypter

    protected RSA rsaCrypter

### elgamalCrypter

    protected ElGamal elgamalCrypter

### mcelieceCrypter

    protected McEliece mcelieceCrypter

### ellipticCurvesCrypter

    protected EllipticCurves ellipticCurvesCrypter

### ntruCrypter

    protected NTRU ntruCrypter

Constructor Detail

### TestingAbstract

    public TestingAbstract()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD